Name:             hawtjni
Version:          1.10
Release:          %mkrel 7
Group:            Development/Java
Summary:          Code generator that produces the JNI code
License:          ASL 2.0 and EPL and BSD
URL:              http://hawtjni.fusesource.org/
BuildArch:        noarch

Source0:          https://github.com/fusesource/hawtjni/archive/hawtjni-project-%{version}.tar.gz

Patch0:           0001-Fix-shading-and-remove-unneeded-modules.patch
Patch1:           0002-Fix-xbean-compatibility.patch
Patch2:           0003-Remove-plexus-maven-plugin-dependency.patch
Patch3:           0004-Remove-eclipse-plugin.patch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-plugin-plugin
BuildRequires:    maven-surefire-report-plugin
BuildRequires:    maven-project-info-reports-plugin
BuildRequires:    maven-plugin-jxr
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-clean-plugin
BuildRequires:    plexus-containers-component-metadata
BuildRequires:    log4j
BuildRequires:    junit
BuildRequires:    fusesource-pom
BuildRequires:    xbean

Requires:         autoconf
Requires:         automake
Requires:         libtool

%description
HawtJNI is a code generator that produces the JNI code needed to
implement java native methods. It is based on the jnigen code generator
that is part of the SWT Tools project which is used to generate all the
JNI code which powers the eclipse platform.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%package runtime
Summary:          HawtJNI Runtime

%description runtime
This package provides API that projects using HawtJNI should build
against.

%package -n maven-hawtjni-plugin
Summary:          Use HawtJNI from a maven plugin

%description -n maven-%{name}-plugin
This package allows to use HawtJNI from a maven plugin.

%prep
%setup -q -n hawtjni-hawtjni-project-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Ready to replace patch0
# %pom_disable_module hawtjni-example
# %pom_disable_module hawtjni-website
# %pom_add_dep "org.apache.maven:maven-compat:3.0.3" maven-hawtjni-plugin/pom.xml
# %pom_remove_plugin ":maven-shade-plugin" hawtjni-generator/pom.xml

%mvn_package ":hawtjni-runtime" runtime
%mvn_package ":maven-hawtjni-plugin" maven-plugin

%pom_xpath_set "pom:groupId[text()='asm']" org.ow2.asm hawtjni-generator

# javadoc generation fails due to strict doclint in JDK 8
%pom_remove_plugin :maven-javadoc-plugin hawtjni-runtime

%build
%mvn_build

%install
%mvn_install

%files runtime -f .mfiles-runtime
%dir %{_javadir}/%{name}
%doc readme.md license.txt changelog.md

%files -f .mfiles

%files javadoc -f .mfiles-javadoc
%doc license.txt

%files -n maven-hawtjni-plugin -f .mfiles-maven-plugin




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.10-7.mga6
+ Revision: 982350
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.10-6.mga6
+ Revision: 976397
- First rebuild of the java stack
- sync package hawtjni with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9-6.mga5
+ Revision: 748598
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + dmorgan <dmorgan>
    - Update to ASM4

* Sat Jan 04 2014 dmorgan <dmorgan> 1.9-3.mga4
+ Revision: 564638
- Rebuild against new xbean
- New version

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Aug 26 2013 stormi <stormi> 1.6-2.mga4
+ Revision: 471892
- remove runtime dependency to xbean (mga #9318)

  + dmorgan <dmorgan>
    - Change maven BR into maven-local

* Tue Feb 19 2013 dmorgan <dmorgan> 1.6-1.mga3
+ Revision: 399272
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.5-3.mga3
+ Revision: 353121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.5-2.mga3
+ Revision: 293187
- Rebuild against new xbean

* Wed Sep 12 2012 dmorgan <dmorgan> 1.5-1.mga3
+ Revision: 293080
- New version 1.5

  + gil <gil>
    - replaced plexus-maven-plugin with plexus-component-metadata

* Fri Dec 09 2011 dmorgan <dmorgan> 1.3-1.mga2
+ Revision: 179626
- New version 1.3

* Wed Aug 31 2011 gil <gil> 1.2-1.mga2
+ Revision: 137113
- update to 1.2

* Wed Jul 20 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 127105
- Fix Groups

  + gil <gil>
    - imported package hawtjni


* Mon May 30 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-4
- Removed maven-shade-plugin dependency

* Mon May 30 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-3
- Split maven-hawtjni-plugin into new package
- Fixed license
- Fixed summary
- Using xz to compress source code

* Sun May 29 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-2
- Added maven-hawtjni-plugin

* Fri May 27 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-1
- Initial packaging

